### Method

# GIRepository ConstantInfo get_type_info

since: 2.80

#### Declaration

    GITypeInfo*
    gi_constant_info_get_type_info (
      GIConstantInfo* info
    )

#### Description

Obtain the type of the constant as a `GITypeInfo`.

Available since: 2.80

#### Return value

Type: `GITypeInfo`

The `GITypeInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.